<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
    <link rel="stylesheet" href="../assets/css/allSalesOrder.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel = "icon" href = "../assets/image/Manila Bay Thread Icon.png">

    <title>Customer Portal</title>
</head>
<body>
    <div id="header">
        <div>
            <img id="imageMBTC" src="../assets/image/Manila Bay Threads Logo.png">
        </div>

        <div>
            <h2 id="title">Sales Quote Monitoring</h2>
        </div> 

        <div id="userMenu">
            <span class="spans">Welcome</span>
            <span class="spans" id="userLoggedIn"></span>
            <img src="../assets/image/icons8-user-64.png" id="userIcon">
            <a href="#" id="logoutButton">Log Out</a>
        </div>
    </div>

    <form id="salesOrderMonitoringForm">
        <div>
            <div id="filterRow">
                <label for="filterStatus">Status Filter:</label>
                <select name="filterStatus" id="filterStatus"></select>
            </div>

            <div>
                <div id="buttonRow"></div>
            </div>
        <div>   

        <table id="tableHeader "> 
            <thead>
            <tr>
                <th style="width: 2rem;">
                    <input type="checkbox" id="flexCheckDefault"  onclick="toggle(this)">All</input>
                </th>
                <th style="width: 5rem;">SO ID</th>
                <th style="width: 5rem;">SQ ID</th>
                <th style="width: 7rem;">Status</th>
                <th style="width: 5rem;">ID</th>
                <th id="accountNameColumn" style="width: 24rem;">Account Name</th>
                <th style="width: 4rem;">S.G.</th>
                <th style="width: 6.5rem;">C.G.</th>
                <th style="width: 10rem;">Reference</th>
                <th style="width: 4rem;">Currency</th>
                <th style="width: 7.5rem;">Amount</th>
                <th style="width: 7rem;">Creation Date</th>
                <th style="width: 8rem;">Created By</th>
                <th style="width: 13rem;">Post/Approve/Cancel By</th>
                <th style="width: 12rem;">Date and Time</th>
                <th style="width: 8rem;">Delivery Block</th>
                <th style="width: 9rem;">Cancel Reason</th>
            </tr>
        </thead>

        <tbody id="salesOrderTable">
        </tbody>
        </table>
    </form>
    
    <footer class="footer">
        <a  href="https://www.service101plus.com/"> <img id="imgsaplogo" src="../assets/image/Service101Plus Icon.png" style="height: 25px;">Copyright © 2021 All Rights Reserved | Service 101 plus Consulting Inc.</a>
    </footer>

  <!-- Cancel Modal -->
  <div class="modal fade" id="cancelModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Reason for Cancellation:</h5>
                <button type="button" class="close" id="closeCancelModalButton" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <select class="form-select"  id="explanation" name="explanation">
                    <option value="No Longer Needed">No Longer Needed</option>
                    <option value="Cancelled by Buyer">Cancelled by Buyer</option>
                    <option value="Change in Color">Change in Color</option>
                    <option value="Change in Item">Change in Item</option>
                    <option value="Wrong Order by Customer">Wrong Order by Customer</option>
                    <option value="Wrong PO Reference">Wrong PO Reference</option>
                </select>
            </div>
            <div class="modal-footer">
                <button type="button" id="cancelModalButton" class="btn btn-primary">Cancel Sales Order</button>
            </div>
        </div>
    </div>
</div>

  <script src="../assets/js/allSalesOrder.js"> </script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>       
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
</body>
</html>
